/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pic2db;

import java.io.File;
import java.io.FileInputStream;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author dienert
 */
public class Pic2db {

    Connection dbVerbindung;
    Statement sqlStatement;
    ResultSet ergebnisTabelle;

    public Pic2db() {

        try {
            Class.forName("org.postgresql.Driver");

            dbVerbindung = DriverManager.getConnection(
                    "jdbc:postgresql:katalog",
                    "alfred", //benutzer der datenbank
                    "mad" //sein passwort
            );

            sqlStatement = dbVerbindung.createStatement(
                    ResultSet.TYPE_SCROLL_INSENSITIVE,
                    ResultSet.CONCUR_READ_ONLY
            );

        } catch (Exception e) {
            e.printStackTrace();
        }

    }

    void insertPic() throws Exception {
        File file = new File("/home/teachers/dienert/model2/ag8Aer.jpg");
        FileInputStream fis = new FileInputStream(file);
        PreparedStatement ps = dbVerbindung.prepareStatement("INSERT INTO produkt (img_name, img_data) VALUES (?, ?)");
        ps.setString(1, file.getName());
        ps.setBinaryStream(2, fis, (int) file.length());
        ps.executeUpdate();
        ps.close();
        fis.close();
    }
    
    void insertPics() throws Exception {
        PreparedStatement ps = dbVerbindung.prepareStatement("INSERT INTO produkt (img_name, img_data) VALUES (?, ?)");
        File folder = new File("/home/teachers/dienert/archiv/img/");
        File[] listOfFiles = folder.listFiles();
        FileInputStream fis;
        for (File file : listOfFiles) {
            fis = new FileInputStream(file);
            ps.setString(1, file.getName());
            ps.setBinaryStream(2, fis, (int) file.length());
            ps.executeUpdate();
            fis.close();
        }
        ps.close();
    }

    void updateRows() throws Exception{
    PreparedStatement ps = dbVerbindung.prepareStatement("update produkt set art_nr='ag8aer', produktname='AER AG-8', beschreibung='Aktivmonitor', hersteller='AER', preis=66000, lagerstand=5 where img_name like 'aer%'");
    ps.executeUpdate();
    }
    
    public static void main(String[] args) {
        Pic2db dbz = new Pic2db();
        try {
            dbz.insertPics();
            dbz.updateRows();
        } catch (Exception ex) {
            Logger.getLogger(Pic2db.class.getName()).log(Level.SEVERE, null, ex);
        }
        ArrayList<String> testliste = null;
        try {
//            testliste = dbz.sucheAdressenVonUser(person);
        } catch (Exception e) {
            e.printStackTrace();
        }
        //      for(String item: testliste){System.out.println(item);}
    }

}
